{% extends 'layout/app.twig' %}

{% block pageContent %}
    <!-- page content -->
    <div class="right_col" role="main">
        <div class="">
            <div class="page-title">
                <div class="title_left">
                    <h3>Add ticket</h3>
                </div>
            </div>

            <div class="clearfix"></div>

            <div class="row">
                <div class="col-md-12 col-sm-12  ">
                    <div class="x_panel">
                        <div class="x_content">
                            <form class="" action="" method="post" novalidate="" enctype="multipart/form-data">
                                <div class="field item form-group {{ errorTitle ? 'bad' : '' }}">
                                    <label class="col-form-label col-md-3 col-sm-3 label-align" for="title">
                                        Titel<span class="required">*</span>
                                    </label>
                                    <div class="col-md-6 col-sm-6">
                                        <input
                                            class="form-control"
                                            data-validate-length-range="6"
                                            id="title"
                                            name="title"
                                            required="required"
                                            value="{{ persistedTitle }}"
                                        >
                                    </div>
                                    {% if errorTitle %}
                                        <div class="alert">{{ errorTitle }}</div>
                                    {% endif %}
                                </div>
                                <div class="field item form-group {{ errorCompany ? 'bad' : '' }}">
                                    <label class="col-form-label col-md-3 col-sm-3 label-align" for="company">
                                        Company<span class="required">*</span>
                                    </label>
                                    <div class="col-md-6 col-sm-6">
                                        <select class="form-control" id="company" name="company" required="required">
                                            <option value="">Choose company</option>
                                            {% for company in companies %}
                                                {% if company.name == persistedCompany %}
                                                    <option value="{{ company.name }}" selected>{{ company.name }}</option>
                                                {% else %}
                                                    <option value="{{ company.name }}">{{ company.name }}</option>
                                                {% endif %}
                                            {% endfor %}
                                        </select>
                                    </div>
                                    {% if errorCompany %}
                                        <div class="alert">{{ errorCompany }}</div>
                                    {% endif %}
                                </div>
                                <div class="field item form-group {{ errorDate ? 'bad' : '' }}">
                                    <label class="col-form-label col-md-3 col-sm-3 label-align" for="date">
                                        Datum eerst gemerkt<span class="required">*</span>
                                    </label>
                                    <div class="col-md-6 col-sm-6">
                                        <input
                                            class="form-control"
                                            name="date"
                                            id="date"
                                            type="date"
                                            required="required"
                                            value="{{ persistedDate }}"
                                        >
                                    </div>
                                    {% if errorDate %}
                                        <div class="alert">{{ errorDate }}</div>
                                    {% endif %}
                                </div>
                                <div class="field item form-group {{ errorShortDescription ? 'bad' : '' }}">
                                    <label class="col-form-label col-md-3 col-sm-3 label-align" for="short-description">
                                        Short description<span class="required">*</span>
                                    </label>
                                    <div class="col-md-6 col-sm-6">
                                        <textarea
                                            class="form-control"
                                            name="short-description"
                                            id="short-description"
                                            required="required"
                                        >{{ persistedShortDescription }}</textarea>
                                    </div>
                                    {% if errorShortDescription %}
                                        <div class="alert">{{ errorShortDescription }}</div>
                                    {% endif %}
                                </div>
                                <div class="field item form-group">
                                    <label class="col-form-label col-md-3 col-sm-3 label-align" for="long-description">
                                        Long description
                                    </label>
                                    <div class="col-md-6 col-sm-6">
                                        <textarea
                                            class="form-control"
                                            name="long-description"
                                            id="long-description"
                                            required="required"
                                        >{{ persistedLongDescription }}</textarea>
                                    </div>
                                </div>
                                <div class="field item form-group">
                                    <label class="col-form-label col-md-3 col-sm-3 label-align" for="preferred-situation">
                                        Preferred situation
                                    </label>
                                    <div class="col-md-6 col-sm-6">
                                        <textarea
                                                class="form-control"
                                                name="preferred-situation"
                                                id="preferred-situation"
                                                required="required"
                                        >{{ persistedPreferredSituation }}</textarea>
                                    </div>
                                </div>
                                <div class="field item form-group {{ errorPriority ? 'bad' : '' }}">
                                    <label class="col-form-label col-md-3 col-sm-3 label-align" for="priority">
                                        Priority<span class="required">*</span>
                                    </label>
                                    <div class="col-md-6 col-sm-6">
                                        <select class="form-control" id="priority" name="priority" required="required">
                                            <option value="">Choose priority</option>
                                            <option value="low" {{ persistedPriority == 'low' ? 'selected' : '' }}>
                                                Low
                                            </option>
                                            <option value="medium" {{ persistedPriority == 'medium' ? 'selected' : '' }}>
                                                Medium
                                            </option>
                                            <option value="high" {{ persistedPriority == 'high' ? 'selected' : '' }}>
                                                High
                                            </option>
                                        </select>
                                    </div>
                                    {% if errorPriority %}
                                        <div class="alert">{{ errorPriority }}</div>
                                    {% endif %}
                                </div>
                                <div class="field item form-group {{ errorResponsible ? 'bad' : '' }}">
                                    <label class="col-form-label col-md-3 col-sm-3 label-align" for="responsible-customer">
                                        Responsible at the customer<span class="required">*</span>
                                    </label>
                                    <div class="col-md-6 col-sm-6">
                                        <input
                                                type="email"
                                                class="form-control"
                                                id="responsible-customer"
                                                name="responsible-customer"
                                                required="required"
                                                value="{{ persistedResponsibleCustomer }}"
                                        >
                                    </div>
                                    {% if errorResponsible %}
                                        <div class="alert">{{ errorResponsible }}</div>
                                    {% endif %}
                                </div>
                                <div class="field item form-group">
                                    <label  class="col-form-label col-md-3 col-sm-3 label-align" for="file">
                                        A document
                                    </label>
                                    <div class="col-md-6 col-sm-6">
                                        <input type="file" id="document" name="document" value="" />
                                    </div>
                                </div>
                                <div class="form-group">
                                    <div class="col-md-6 offset-md-3">
                                        <button type="submit" name="btnSubmit" value="Save company" class="btn btn-primary">
                                            Save
                                        </button>
                                    </div>
                                </div>
                            </form>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <!-- /page content -->
{% endblock %}